> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get risk snapshot



## OpenAPI

````yaml openapi/api-gateway.json GET /risk-snapshot
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.24.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /risk-snapshot:
    get:
      tags:
        - api-gateway
      operationId: get_risk_snapshot
      parameters:
        - name: account_id
          in: query
          description: >-
            Optional account ID. If omitted, default (primary) user account is
            used.
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: Risk snapshot
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRiskSnapshotResponse'
      security:
        - session_token: []
components:
  schemas:
    GetRiskSnapshotResponse:
      type: object
      required:
        - risk_snapshot
      properties:
        risk_snapshot:
          $ref: '#/components/schemas/AccountRiskSnapshot'
    AccountRiskSnapshot:
      type: object
      required:
        - account_id
        - timestamp_ns
        - per_symbol
        - initial_margin_required_for_positions
        - initial_margin_required_for_open_orders
        - initial_margin_required_total
        - maintenance_margin_required
        - unrealized_pnl
        - equity
        - initial_margin_available
        - maintenance_margin_available
        - balance_usd
      properties:
        account_id:
          type: string
        balance_usd:
          type: string
        equity:
          type: string
        initial_margin_available:
          type: string
        initial_margin_required_for_open_orders:
          type: string
        initial_margin_required_for_positions:
          type: string
        initial_margin_required_total:
          type: string
        maintenance_margin_available:
          type: string
        maintenance_margin_required:
          type: string
        per_symbol:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SymbolRiskSnapshot'
          propertyNames:
            type: string
        timestamp_ns:
          type: string
          format: date-time
        unrealized_pnl:
          type: string
    SymbolRiskSnapshot:
      type: object
      required:
        - signed_quantity
        - signed_notional
        - initial_margin_required_position
        - initial_margin_required_open_orders
        - initial_margin_required_total
        - maintenance_margin_required
        - unrealized_pnl
      properties:
        average_price:
          type:
            - string
            - 'null'
        initial_margin_required_open_orders:
          type: string
        initial_margin_required_position:
          type: string
        initial_margin_required_total:
          type: string
        liquidation_price:
          type:
            - string
            - 'null'
        maintenance_margin_required:
          type: string
        signed_notional:
          type: string
        signed_quantity:
          type: integer
          format: int64
        unrealized_pnl:
          type: string
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````